Bug 11017 - Infinite loop in reponse to rpm -qa
Infinite loop in reponse to rpm -qa
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-24 13:16 EDT by Vladimir Vukicevic
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-27 22:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Vukicevic 2000-04-24 13:16:00 EDT
After installing the Rawhide rpm for rpm-3.1-0.7, I
ran into a problem with 'rpm -qa' -- namely it will
repeatedly list all the rpms in the database (i.e.
it will list everything in the database, and then
do it again, and again, ...).

An attempt at rebuilding the database failed for
similar reasons -- after waiting for some time after
starting 'rpm --rebuild' and watching the size of the
rebuilt database double the size of the original and
continue growing, I interrupted it and performed some
queries on the (albeit uncompleted) new database. Queries
for specific rpms (via 'rpm -q name') resulted in many
copies of the same rpm being reported (this does not
happen with the original database).
Comment 1 SB 2000-05-15 11:09:59 EDT
All versions of RPM after 2.1-0.3 are inherintly screwed up and can lead to

permanent database corruption and data loss, I recommend reinstalling the version

you were previously using.  Installing rpm 3.1-0.9 will result in an inability to

access your rpmbd and will core dump constantly so don't try to upgrade to solve

the problem, downgrading is the only solution.



-Stan Bubrouski
Comment 2 SB 2000-05-27 22:37:59 EDT
This problem is fixed as of rpm-3.1-0.21 and I strongly recommend you install
it, as it finally is able to convert old db formats to new format with rpm
--rebuilddb, and it is most stable 3.1 release of rpm I have seen ;)

-Stan Bubrouski
Comment 3 Jeff Johnson 2000-07-20 14:12:38 EDT
These problems have been fixed in the latest rpm-4.0-0.56 packages.

Note You need to log in before you can comment on or make changes to this bug.